Bug 235466 - [patch] crypto/openssh: remove mention of obsolete option Protocol
Summary: [patch] crypto/openssh: remove mention of obsolete option Protocol
Status: In Progress
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 12.0-RELEASE
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-03 16:15 UTC by Samy Mahmoudi
Modified: 2021-09-08 01:31 UTC (History)
1 user (show)

See Also:


Attachments
Patch file generated with svn diff (449 bytes, patch)
2019-02-03 16:15 UTC, Samy Mahmoudi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2019-02-03 16:15:22 UTC
Created attachment 201688 [details]
Patch file generated with svn diff

Hi all,

The option Protocol is now obsolete.

The value of Protocol in ssh_config has indeed been changed from 2,1 to 2 but that option was deleted thereafter, when support of SSH protocol version 1 was eventually dropped.

No functional change (obsolete option was mentioned in a comment)

References:
• https://github.com/openssh/openssh-portable/commit/09d87d79741beb85768b5e788d7dfdf4bc3543dc#diff-f208e23062381f5c3f9230ebbbebb1a4https://github.com/openssh/openssh-portable/commit/99f95ba82673d33215dce17bfa1512b57f54ec09#diff-42833d59dac20f1a0417b3ada07e9bf6
Comment 1 Samy Mahmoudi 2019-02-03 16:41:06 UTC
I just wrote to the OpenSSH developers' public list with a reference to this problem report.
Comment 2 Samy Mahmoudi 2019-02-04 07:29:47 UTC
Applied upstream, will appear in release 8.0.
Comment 3 Ed Maste freebsd_committer 2021-09-08 01:31:33 UTC
FreeBSD base system openssh updated in:

commit 19261079b74319502c6ffa1249920079f0f69a72 (HEAD -> main, freebsd/main)
Merge: c5128c48df3c 66719ee573ac
Author: Ed Maste <emaste@FreeBSD.org>
Date:   Tue Sep 7 21:05:51 2021 -0400

    openssh: update to OpenSSH v8.7p1
    
    Some notable changes, from upstream's release notes:
    
    - sshd(8): Remove support for obsolete "host/port" syntax.
    - ssh(1): When prompting whether to record a new host key, accept the key
      fingerprint as a synonym for "yes".
    - ssh-keygen(1): when acting as a CA and signing certificates with an RSA
      key, default to using the rsa-sha2-512 signature algorithm.
    - ssh(1), sshd(8), ssh-keygen(1): this release removes the "ssh-rsa"
      (RSA/SHA1) algorithm from those accepted for certificate signatures.
    - ssh-sk-helper(8): this is a new binary. It is used by the FIDO/U2F
      support to provide address-space isolation for token middleware
      libraries (including the internal one).
    - ssh(1): this release enables UpdateHostkeys by default subject to some
      conservative preconditions.
    - scp(1): this release changes the behaviour of remote to remote copies
      (e.g. "scp host-a:/path host-b:") to transfer through the local host
      by default.
    - scp(1): experimental support for transfers using the SFTP protocol as
      a replacement for the venerable SCP/RCP protocol that it has
      traditionally used.
    
    Additional integration work is needed to support FIDO/U2F in the base
    system.
    
    Deprecation Notice
    ------------------
    
    OpenSSH will disable the ssh-rsa signature scheme by default in the
    next release.
    
    Reviewed by:    imp
    MFC after:      1 month
    Relnotes:       Yes
    Sponsored by:   The FreeBSD Foundation
    Differential Revision:  https://reviews.freebsd.org/D29985